from setuptools import setup, find_packages

readme = open('README.rst', 'r')
README_TEXT = readme.read()
readme.close()

setup(
    name='numpytimebuilder',
    version='0.1.0',
    description='A library for using the NumPy datetime API with aniso8601',
    long_description=README_TEXT,
    author='Brandon Nielsen',
    author_email='nielsenb@jetfuse.net',
    url='https://bitbucket.org/nielsenb/numpytimebuilder',
    install_requires=[
        'aniso8601>=4.0.0, <5.0.0',
        'numpy>=1.15.3'
    ],
    packages=find_packages(),
    test_suite='numpytimebuilder',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Topic :: Software Development :: Libraries :: Python Modules'
    ],
    keywords='iso8601 numpy aniso8601 datetime',
    project_urls={
        'Documentation': 'https://numpytimebuilder.readthedocs.io/',
        'Source': 'https://bitbucket.org/nielsenb/numpytimebuilder',
        'Tracker': 'https://bitbucket.org/nielsenb/numpytimebuilder/issues'
    }
)
